package com.gh.gamecenter.room.dao

import androidx.room.*
import com.gh.gamecenter.entity.ForumEntity
import io.reactivex.Single

@Dao
interface ForumDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun addForum(forum: ForumEntity)

    @Query("select * from ForumEntity order by orderTag desc")
    fun getForum(): Single<List<ForumEntity>>

    @Delete
    fun deleteForum(answer: ForumEntity)

}
